
Redmine - Defect #27693

In queries, operator "Any" should be "Not empty"

2017-12-01 14:43 - Stephane Evr

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

In queries, the operator "All" actually returns only fields which are not empty.

Let's say I create an Issue Query with the following filter:

      Assignee:      ALL  

 This will return all the issues with the assignee field not empty, same for any filter where the operator "ALL" is available.

Could we change the naming of "ALL" to "Not empty" somewhat?

It can still be useful to have a true "ALL" operator which returns any result (Empty OR Not Empty), because then we can quickly

change the operator without having to remove/add the filter (especially if many filters are available to select from)

History

#1 - 2017-12-01 14:46 - Stephane Evr

In our redmine install, we have "ALL" instead of "ANY", but the "problem" remains

#2 - 2017-12-27 17:05 - Toshi MARUYAMA

FTR: r10562 changed "All" to "Any".

#3 - 2017-12-27 17:07 - Toshi MARUYAMA

- Subject changed from In queries, operator "All" can be confusing to In queries, operator "Any" should be "Not empty"

- Description updated
